import BaseComponent from 'primevue/basecomponent';
import ButtonGroupStyle from 'primevue/buttongroup/style';
import { openBlock, createElementBlock, mergeProps, renderSlot } from 'vue';

var script$1 = {
  name: 'BaseButtonGroup',
  "extends": BaseComponent,
  style: ButtonGroupStyle,
  provide: function provide() {
    return {
      $parentInstance: this
    };
  }
};

script$1.__file = "components/lib/buttongroup/BaseButtonGroup.vue";

var script = {
  name: 'ButtonGroup',
  "extends": script$1,
  inheritAttrs: false
};

function render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("span", mergeProps({
    "class": _ctx.cx('root'),
    role: "group"
  }, _ctx.ptmi('root')), [renderSlot(_ctx.$slots, "default")], 16 /* FULL_PROPS */);
}

script.render = render;
script.__file = "components/lib/buttongroup/ButtonGroup.vue";

export { script as default };
